# macop.operators.mutators.SimpleBinaryMutation

Mutation implementation for binary solution, swap bit randomly from solution

Classes

`SimpleBinaryMutation`() | Mutation implementation for binary solution, swap bit randomly from solution

class `macop.operators.mutators.SimpleBinaryMutation.``SimpleBinaryMutation`

  Mutation implementation for binary solution, swap bit randomly from solution

  `kind`

    {KindOperator} – specify the kind of operator

  `apply`(_solution)

    Create new solution based on solution passed as parameter

    Parameters

      _solution – {Solution} – the solution to use for generating new solution

    Returns

      {Solution} – new generated solution